Bug 126800 - Base: Help: Missing symbols and incomprehensible text in help page "Query Design Bar"
Summary: Base: Help: Missing symbols and incomprehensible text in help page "Query Des...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2019-08-09 21:30 UTC by Gerhard Weydt
Modified: 2019-12-19 07:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Help text for Query design bar copied (32.59 KB, application/vnd.oasis.opendocument.text)
2019-08-09 21:31 UTC, Gerhard Weydt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Weydt 2019-08-09 21:30:24 UTC
Description:
The help page "Query Design Bar", which can be reached by clicking the link 'icons' in the help page "Query Design", contains some icons which are not displayed, at least with Windows, and an incomprehensible sentence:

The help page for "Query Design Bar" is something like https://help.libreoffice.org/6.3/en-GB/text/shared/explorer/database/02010100.html?DbPAR=BASE#bm_id3153323 (Online-Help), for "Query Design" it's https://help.libreoffice.org/6.3/en-GB/text/shared/main0214.html?&DbPAR=BASE&System=WIN.
Four of the symbols in "Query Design Bar" are not displayed, although they are present, as can be seen when copying the page via the clipboard; I'll attach a writer document with the copied content, where the sections with missing symbols are coloured.
In the last section, "Run SQL command directly", the second sentence "If you do not display these changes in the design view, you cannot change back to the design view." is incomprehensible for me: I don't know what "these changes" refers to, so I even cannot propose a better wording.
By the way, the text "The following icon is on the SQL tab page:" just above irritated me, I took some time to understand that it refers to the last section.
I propose to add a line break above, to better separate it from the previous section, and a subclause ", which is displayed when you switch Ded´sign View off," after "following icon".

Steps to Reproduce:
1. in Base call help
2. choose designing -- queries (Base) or design view -- queries/views (Base)
3. select lin 'icons'

Actual Results:
see above

Expected Results:
see above


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Gerhard Weydt 2019-08-09 21:31:49 UTC
Created attachment 153274 [details]
Help text for Query design bar copied
Comment 2 Commit Notification 2019-08-12 11:01:26 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/1fbd4a961d94cd74ba92e1a5d02085d216af0474%5E%21

tdf#126800 Fix missing icons in Query Help page
Comment 3 Xisco Faulí 2019-11-21 12:33:14 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 4 Jack Williamson 2019-12-19 07:26:08 UTC
This article is very helpful in terms of finding missing incomprehensible text and symbols in the Query Design Bar. Click here https://xpertwriters.com/ to get best writing service. My problem has been solved now for which I am very thankful to you.